%define	upstream_name	 Module-Signature
%define upstream_version 0.79

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Check and create SIGNATURE files for CPAN distributions
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

# Module build
BuildRequires: perl(Class::Loader)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Convert::ASCII::Armour)
BuildRequires: perl(Convert::ASN1)
BuildRequires: perl(Convert::PEM)
BuildRequires: perl(Crypt::Blowfish)
BuildRequires: perl(Crypt::CBC)
BuildRequires: perl(Crypt::DES)
BuildRequires: perl(Crypt::DES_EDE3)
BuildRequires: perl(Crypt::DSA)
BuildRequires: perl(Crypt::OpenPGP) >= 1.0.0
BuildRequires: perl(Crypt::Primes)
BuildRequires: perl(Crypt::RIPEMD160)
BuildRequires: perl(Crypt::RSA)
BuildRequires: perl(Crypt::Random)
BuildRequires: perl(Data::Buffer) >= 0.40.0
BuildRequires: perl(Digest::MD2)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::Pari)
# Module runtime
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Digest::SHA1)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Tie::EncryptedHash)
# Test suite
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is a perl module to check and create SIGNATURE files
for CPAN distributions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps </dev/null
%make


%install
%{makeinstall_std}

%files
%doc AUTHORS Changes META.yml MYMETA.yml README SIGNATURE
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/Module


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.790.0-4pclos2017
- rebuild against updates

